echo off
::-----------------------------------------------------------------------::
:: Routine: Help
:: Purpose: Display common help issues
::-----------------------------------------------------------------------::

:help
cls
echo     eSupport.com BIOS Upgrade Flash Diskette V1.0 HELP
echo.
echo Please note, if this is the first time you are using this disk, please
echo press 1 at the main menu.
echo.
echo Here we will attempt to address common problems when flashing your BIOS.
echo The system will pause after each question. 
pause
cls
echo Page 1/5
echo.
echo Q: "Flash went fine, but something doesn't seem right with the new BIOS."
echo.
echo A: If the flash process seemed to run completely and the new BIOS is now
echo    installed on the system, we have a list of common issues on our 
echo    website which will help you to fix the problem without the need to 
echo    call Tech Support. Visit: 'http://www.esupport.com/faq/'  for details.
pause
cls   
echo Page 2/5
echo.
echo Q: "My BIOS won't flash, says 'Part Number Does Not Match' and program quits."
echo.
echo A: This sometimes happens with the Award Flash Loader. You should be able
echo    select option #2 from the menu which tells the flashloader to not verify
echo    part number. When asked whether you want to flash the BIOS or not, choose
echo    'y' for yes.
pause
cls
echo Page 3/5
echo.
echo Q: "My BIOS won't flash, says 'BIOS LOcK STRING ERROR' and program quits."
echo.
echo A: This sometimes happens with the Award Flash Loader. You should be able
echo    select option #3 from the menu which tells the flashloader to not verify
echo    part number. If asked whether you want to flash the BIOs or not, choose
echo    'y' for yes.
pause
cls
echo Page 4/5    
echo.
echo Q: "The program locks up with the a message that says 'Please Wait' and its
echo    been flashing that message for over 5 minutes!"
echo.
echo A: Some systems and/or BIOS may not work with the FreeDOS boot O/S on this disk.
echo    You may need to create a Windows 98 Boot diskette.  Here is how:
echo.
echo    1: Insert a blank diskette into the floppy drive. Do NOT use the diskette
echo       that eSupport provided you, as the contents of the disk will be 
echo       overwritten.
echo.
echo    2a: If your computer uses Windows 98 then open "My Computer", right click,
echo        on A:\ and select format. Choose 'full' and 'copy system files'.
echo.
echo    2b: If you use any other operating system (WindowsXP/2000) go to 
echo        'http://www.bootdisk.com/bootdisk.htm' and download a Windows 98SE OEM 
echo        disk image. Double click on the downloaded file to create the boot 
echo        diskette.
echo.
echo	There are two more steps to go, make sure you complete the first two before
echo	continuing.
pause
echo.
echo    3: Copy these files from this eSupport flash diskette to the newly created
echo       Windows 98SE boot diskette. If asked to overwrite files, choose 'y' for
echo       yes.
echo		1. Autoexec.bat
echo		2. Flash.bat
echo		3. Choice.exe
call flash.bat /return
echo.
echo    4:  Boot to the newly created Windows 98SE boot disk with the files on it. 
echo	    At the menu, choose option 1.
pause
cls
echo Page 5/5
echo. 
echo Q: "I still can't get the flash to go through, what's next?"
echo.
echo A: If you can't find a solution to your problem on our Frequently Asked Questions
echo    site, 'http://www.esupport.com/faq/', you may need to call our Tech Support
echo    In order to service you quickly, we asked that you visit our site:
echo    'http://www.esupport.com/techsupport/beforecallingtech.htm'  This will make 
echo    sure you have all of the information necessary for our Technicians to resolve
echo    the problem quickly.
echo.